# classes/phing/tasks/system/condition/EqualsCondition.php

A simple string comparator. Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification.

@author Andreas Aderhold andi@binarycloud.com

access
  public
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \EqualsCondition
jump to top

A simple string comparator. Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification.

@author Andreas Aderhold andi@binarycloud.com

Implements
  \Condition
access
  public
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$arg1= ''`
Details

Type

`$arg2= ''`
Details

Type

`$caseSensitive= 'true'`
Default value `true` Details

Type

`$trim= 'false'`
Default value `false` Details

Type

### Methods

`evaluate( ) :`
`setArg1( $a1 ) :`
Parameters

Name | Type | Description
--- | --- | ---
$a1 |  |

`setArg2( $a2 ) :`
Parameters

Name | Type | Description
--- | --- | ---
$a2 |  |

`setCaseSensitive( boolean $b ) :`
Should the comparison be case sensitive?
Parameters

Name | Type | Description
--- | --- | ---
$b | boolean |

`setTrim( boolean $b ) :`
Should we want to trim the arguments before comparing them?
Parameters

Name | Type | Description
--- | --- | ---
$b | boolean |

Documentation was generated by DocBlox 0.13.1.